using System.Collections.Generic;
using System.Threading.Tasks;
using Datory;

namespace GxPress.Repository.Interface.SystemRole
{
    public interface ISystemRoleRepository : IRepository
    {
        Task<int> InsertAsync(Entity.SystemRole.SystemRole model);

        Task<bool> UpdateAsync(Entity.SystemRole.SystemRole model);

        Task<bool> DeleteAsync(int id);
        Task<IEnumerable<Entity.SystemRole.SystemRole>> GetSystemRolesAllAsync();
        Task<Entity.SystemRole.SystemRole> GetRoleAsync(int id);
    }
}